import request from '@/utils/request'

// 查询气瓶规格列表
export function listSpecification(query) {
  return request({
    url: '/airbottle/specification/list',
    method: 'get',
    params: query
  })
}

// 查询气瓶规格详细
export function getSpecification(id) {
  return request({
    url: '/airbottle/specification/' + id,
    method: 'get'
  })
}

// 新增气瓶规格
export function addSpecification(data) {
  return request({
    url: '/airbottle/specification',
    method: 'post',
    data: data
  })
}

// 修改气瓶规格
export function updateSpecification(data) {
  return request({
    url: '/airbottle/specification',
    method: 'put',
    data: data
  })
}

// 删除气瓶规格
export function delSpecification(id) {
  return request({
    url: '/airbottle/specification/' + id,
    method: 'delete'
  })
}
